docker-build:
  image: docker:latest
  services:
    - docker:dind
  script:
    - sudo docker build -f Dockerfile --iidfile imageid.txt -t registry.heroku.com/$HEROKU_APP_NAME/web .
    - sudo docker login -u _ -p $HEROKU_API_KEY registry.heroku.com
    - sudo docker push registry.heroku.com/$HEROKU_APP_NAME/web
    - echo "Docker Image ID is $(cat imageid.txt)"
    - >
      curl -X PATCH https://api.heroku.com/apps/$HEROKU_APP_NAME/formation
      --header "Content-Type: application/json"
      --header "Accept: application/vnd.heroku+json; version=3.docker-releases"
      --header "Authorization: Bearer ${HEROKU_API_KEY}"
      --data '{ "updates": [ { "type": "web", "docker_image": "'$(cat imageid.txt)'" } ] }'
